Subject: Re: feature request: git svn dommit --preserve-timestamps

From: Peter Münster <[email-masked]>
Date: Sat, 11 Jun 2016 08:21:28 +0200

On Sat, Jun 11 2016, Eric Wong wrote:

> The git log after dcommit is tied to the SVN log,
> so git-svn can only reflect changes which appear in SVN.

You mean, it's impossible, to keep the original timestamps??

> 	Sidenote: The convention is reply-to-all on lists like
> 	this one which do not require subscription to post.

Ok, thanks.

> Unfortunately, you would have to care about svn log as long as
> SVN exists in your workflow and you need to interact with SVN
> users.

In my case, all development happens on Git, SVN is only some sort of
copy. And when the original timestamps are lost, I've sometimes some
real problems in finding a specific commit that matches another event.

> git svn tries hard to work transparently and as close to the
> behavior of the upstream SVN repo as possible.

That's why I suggest an option, for use cases as mine. Those, who prefer
to keep the current behaviour just won't use it.

If someone could guide me through the code, I could modify it perhaps.

Thanks for your efforts,
-- 
           Peter